Class | Tk::Tile::TButton
In: | tk/lib/tkextlib/tile/tbutton.rb
Parent: | TkButton

### Methods

style

### Included Modules

Tk::Tile::TileWidget

### Constants

TkCommandNames | = | ['::ttk::button'.freeze].freeze
TkCommandNames | = | ['::tbutton'.freeze].freeze
WidgetClassName | = | 'TButton'.freeze

### Public Class methods

style(*args)

[Source]

    # File tk/lib/tkextlib/tile/tbutton.rb, line 27
      def self.style(*args)
        [self::WidgetClassName, *(args.map!{|a| _get_eval_string(a)})].join('.')
      end

[Validate]